include(../common.pro)

TEMPLATE = lib
CONFIG += plugin

# to include util.h
INCLUDEPATH += ./../candwin

LIBS += -Wl,-rpath,/usr/X11R7/lib -L/usr/X11R7/lib -lX11  -luim-counted-init

# Input
HEADERS += ./candidatewindowproxy.h \
           ./caretstateindicator.h \
           ./plugin.h \
           ./qhelpermanager.h \
           ./qtextutil.h \
           ./quiminfomanager.h \
           ./quiminputcontext.h \
           ./../candwin/util.h

SOURCES += ./candidatewindowproxy.cpp \
           ./caretstateindicator.cpp \
           ./plugin.cpp \
           ./qhelpermanager.cpp \
           ./qtextutil.cpp \
           ./quiminfomanager.cpp \
           ./quiminputcontext.cpp \
           ./../candwin/util.cpp

!win32:!embedded:!mac {
    HEADERS += ./quiminputcontext_compose.h
    SOURCES += ./quiminputcontext_compose.cpp
}

TARGET = uiminputcontextplugin

target.path += $$[QT_INSTALL_PLUGINS]/inputmethods
